Subject: bug#22324: 25.0.50; completion-category-defaults style doesn't override completion-styles (gets prepended instead)

From: Dmitry Gutov <[email-masked]>
Date: Fri, 28 Jan 2022 04:39:22 +0200

On 26.01.2022 04:31, Daniel Mendler wrote:
> One final statement regarding making a breaking change here: You should
> consider that the packages orderless etc are fairly new and still have
> breaking changes from time to time, so even if these configurations are
> widespread or see growing adoption, this should not hold you back from
> making a breaking change. I will then promptly adapt the documentation
> of these projects and add a warning note, which will soon propagate to
> the users who use Emacs master, which is still young in the development
> cycle. Of course my statement applies only if the aforementioned are
> truly the only widespread packages affected by this.

Yeah, I think the current userbase of Orderless should be pretty 
dynamic, not too set in their ways.

So they should be up for checking out new versions and documentation 
changes and adapting to them.